Package com.ocient.jdbc.proto

# Class PlanProtocol.IndexAggOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.IndexAggOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.IndexAggOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.IndexAggOperator

    public static final class PlanProtocol.IndexAggOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>
    implements PlanProtocol.IndexAggOperatorOrBuilder

    Hybrid operator that combines index and aggregation

Protobuf type `xg.db.sqlPlans.IndexAggOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.IndexAggOperator.Builder` | `addAllColNames​(Iterable<String> values)` | Deprecated.
`PlanProtocol.IndexAggOperator.Builder` | `addAllColTypes​(Iterable<String> values)` | The string representation of the type of ALL output columns
`PlanProtocol.IndexAggOperator.Builder` | `addAllFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `addAllInputCols​(Iterable<String> values)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.IndexAggOperator.Builder` | `addAllKeys​(Iterable<String> values)` | The GROUP BY columns - can't be empty
`PlanProtocol.IndexAggOperator.Builder` | `addAllNonIndexFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `addAllOps​(Iterable<? extends PlanProtocol.AggregationOperator.AggregationOp> values)` | The aggregation operations to perform
`PlanProtocol.IndexAggOperator.Builder` | `addAllOpsValue​(Iterable<Integer> values)` | The aggregation operations to perform
`PlanProtocol.IndexAggOperator.Builder` | `addAllOutputCols​(Iterable<String> values)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.IndexAggOperator.Builder` | `addAllOutputColsTypes​(Iterable<String> values)` | The types for the outputCols, in the same order
`PlanProtocol.IndexAggOperator.Builder` | `addAllPoint​(Iterable<? extends PlanProtocol.SortPartition> values)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `addAllTimeFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` | Time filter disjunctions
`PlanProtocol.IndexAggOperator.Builder` | `addColNames​(String value)` | Deprecated.
`PlanProtocol.IndexAggOperator.Builder` | `addColNamesBytes​(com.google.protobuf.ByteString value)` | Deprecated.
`PlanProtocol.IndexAggOperator.Builder` | `addColTypes​(String value)` | The string representation of the type of ALL output columns
`PlanProtocol.IndexAggOperator.Builder` | `addColTypesBytes​(com.google.protobuf.ByteString value)` | The string representation of the type of ALL output columns
`PlanProtocol.IndexAggOperator.Builder` | `addFilters​(int index, PlanProtocol.Disjunction value)` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `addFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `addFilters​(PlanProtocol.Disjunction value)` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `addFilters​(PlanProtocol.Disjunction.Builder builderForValue)` | Filter conditions to apply via index
`PlanProtocol.Disjunction.Builder` | `addFiltersBuilder()` | Filter conditions to apply via index
`PlanProtocol.Disjunction.Builder` | `addFiltersBuilder​(int index)` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `addInputCols​(String value)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.IndexAggOperator.Builder` | `addInputColsBytes​(com.google.protobuf.ByteString value)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.IndexAggOperator.Builder` | `addKeys​(String value)` | The GROUP BY columns - can't be empty
`PlanProtocol.IndexAggOperator.Builder` | `addKeysBytes​(com.google.protobuf.ByteString value)` | The GROUP BY columns - can't be empty
`PlanProtocol.IndexAggOperator.Builder` | `addNonIndexFilters​(int index, PlanProtocol.Disjunction value)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `addNonIndexFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `addNonIndexFilters​(PlanProtocol.Disjunction value)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `addNonIndexFilters​(PlanProtocol.Disjunction.Builder builderForValue)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.Disjunction.Builder` | `addNonIndexFiltersBuilder()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.Disjunction.Builder` | `addNonIndexFiltersBuilder​(int index)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `addOps​(PlanProtocol.AggregationOperator.AggregationOp value)` | The aggregation operations to perform
`PlanProtocol.IndexAggOperator.Builder` | `addOpsValue​(int value)` | The aggregation operations to perform
`PlanProtocol.IndexAggOperator.Builder` | `addOutputCols​(String value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.IndexAggOperator.Builder` | `addOutputColsBytes​(com.google.protobuf.ByteString value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.IndexAggOperator.Builder` | `addOutputColsTypes​(String value)` | The types for the outputCols, in the same order
`PlanProtocol.IndexAggOperator.Builder` | `addOutputColsTypesBytes​(com.google.protobuf.ByteString value)` | The types for the outputCols, in the same order
`PlanProtocol.IndexAggOperator.Builder` | `addPoint​(int index, PlanProtocol.SortPartition value)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `addPoint​(int index, PlanProtocol.SortPartition.Builder builderForValue)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `addPoint​(PlanProtocol.SortPartition value)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `addPoint​(PlanProtocol.SortPartition.Builder builderForValue)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.SortPartition.Builder` | `addPointBuilder()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.SortPartition.Builder` | `addPointBuilder​(int index)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.IndexAggOperator.Builder` | `addTimeFilters​(int index, PlanProtocol.Disjunction value)` | Time filter disjunctions
`PlanProtocol.IndexAggOperator.Builder` | `addTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | Time filter disjunctions
`PlanProtocol.IndexAggOperator.Builder` | `addTimeFilters​(PlanProtocol.Disjunction value)` | Time filter disjunctions
`PlanProtocol.IndexAggOperator.Builder` | `addTimeFilters​(PlanProtocol.Disjunction.Builder builderForValue)` | Time filter disjunctions
`PlanProtocol.Disjunction.Builder` | `addTimeFiltersBuilder()` | Time filter disjunctions
`PlanProtocol.Disjunction.Builder` | `addTimeFiltersBuilder​(int index)` | Time filter disjunctions
`PlanProtocol.IndexAggOperator` | `build()` |
`PlanProtocol.IndexAggOperator` | `buildPartial()` |
`PlanProtocol.IndexAggOperator.Builder` | `clear()` |
`PlanProtocol.IndexAggOperator.Builder` | `clearColNames()` | Deprecated.
`PlanProtocol.IndexAggOperator.Builder` | `clearColTypes()` | The string representation of the type of ALL output columns
`PlanProtocol.IndexAggOperator.Builder` | `clearDb()` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexAggOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.IndexAggOperator.Builder` | `clearFilters()` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `clearIndexName()` | Which index?
`PlanProtocol.IndexAggOperator.Builder` | `clearIndexUuid()` | `string index_uuid = 9;`
`PlanProtocol.IndexAggOperator.Builder` | `clearInputCols()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.IndexAggOperator.Builder` | `clearKeys()` | The GROUP BY columns - can't be empty
`PlanProtocol.IndexAggOperator.Builder` | `clearNonIndexFilters()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.IndexAggOperator.Builder` | `clearOps()` | The aggregation operations to perform
`PlanProtocol.IndexAggOperator.Builder` | `clearOutputCols()` | The name to give to the columns created by each aggregation operation
`PlanProtocol.IndexAggOperator.Builder` | `clearOutputColsTypes()` | The types for the outputCols, in the same order
`PlanProtocol.IndexAggOperator.Builder` | `clearPoint()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `clearSchema()` | The table schema
`PlanProtocol.IndexAggOperator.Builder` | `clearStorageSpaceUuid()` | `string storage_space_uuid = 8;`
`PlanProtocol.IndexAggOperator.Builder` | `clearTableName()` | The table name
`PlanProtocol.IndexAggOperator.Builder` | `clearTableUuid()` | `string table_uuid = 7;`
`PlanProtocol.IndexAggOperator.Builder` | `clearTimeFilters()` | Time filter disjunctions
`PlanProtocol.IndexAggOperator.Builder` | `clone()` |
`String` | `getColNames​(int index)` | Deprecated.
`com.google.protobuf.ByteString` | `getColNamesBytes​(int index)` | Deprecated.
`int` | `getColNamesCount()` | Deprecated.
`com.google.protobuf.ProtocolStringList` | `getColNamesList()` | Deprecated.
`String` | `getColTypes​(int index)` | The string representation of the type of ALL output columns
`com.google.protobuf.ByteString` | `getColTypesBytes​(int index)` | The string representation of the type of ALL output columns
`int` | `getColTypesCount()` | The string representation of the type of ALL output columns
`com.google.protobuf.ProtocolStringList` | `getColTypesList()` | The string representation of the type of ALL output columns
`String` | `getDb()` | Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` | `getDbBytes()` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexAggOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`PlanProtocol.Disjunction` | `getFilters​(int index)` | Filter conditions to apply via index
`PlanProtocol.Disjunction.Builder` | `getFiltersBuilder​(int index)` | Filter conditions to apply via index
`List<PlanProtocol.Disjunction.Builder>` | `getFiltersBuilderList()` | Filter conditions to apply via index
`int` | `getFiltersCount()` | Filter conditions to apply via index
`List<PlanProtocol.Disjunction>` | `getFiltersList()` | Filter conditions to apply via index
`PlanProtocol.DisjunctionOrBuilder` | `getFiltersOrBuilder​(int index)` | Filter conditions to apply via index
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getFiltersOrBuilderList()` | Filter conditions to apply via index
`String` | `getIndexName()` | Which index?
`com.google.protobuf.ByteString` | `getIndexNameBytes()` | Which index?
`String` | `getIndexUuid()` | `string index_uuid = 9;`
`com.google.protobuf.ByteString` | `getIndexUuidBytes()` | `string index_uuid = 9;`
`String` | `getInputCols​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` | `getInputColsBytes​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` | `getInputColsCount()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ProtocolStringList` | `getInputColsList()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` | `getKeys​(int index)` | The GROUP BY columns - can't be empty
`com.google.protobuf.ByteString` | `getKeysBytes​(int index)` | The GROUP BY columns - can't be empty
`int` | `getKeysCount()` | The GROUP BY columns - can't be empty
`com.google.protobuf.ProtocolStringList` | `getKeysList()` | The GROUP BY columns - can't be empty
`PlanProtocol.Disjunction` | `getNonIndexFilters​(int index)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.Disjunction.Builder` | `getNonIndexFiltersBuilder​(int index)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`List<PlanProtocol.Disjunction.Builder>` | `getNonIndexFiltersBuilderList()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`int` | `getNonIndexFiltersCount()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`List<PlanProtocol.Disjunction>` | `getNonIndexFiltersList()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.DisjunctionOrBuilder` | `getNonIndexFiltersOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getNonIndexFiltersOrBuilderList()` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.AggregationOperator.AggregationOp` | `getOps​(int index)` | The aggregation operations to perform
`int` | `getOpsCount()` | The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` | `getOpsList()` | The aggregation operations to perform
`int` | `getOpsValue​(int index)` | The aggregation operations to perform
`List<Integer>` | `getOpsValueList()` | The aggregation operations to perform
`String` | `getOutputCols​(int index)` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` | `getOutputColsBytes​(int index)` | The name to give to the columns created by each aggregation operation
`int` | `getOutputColsCount()` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ProtocolStringList` | `getOutputColsList()` | The name to give to the columns created by each aggregation operation
`String` | `getOutputColsTypes​(int index)` | The types for the outputCols, in the same order
`com.google.protobuf.ByteString` | `getOutputColsTypesBytes​(int index)` | The types for the outputCols, in the same order
`int` | `getOutputColsTypesCount()` | The types for the outputCols, in the same order
`com.google.protobuf.ProtocolStringList` | `getOutputColsTypesList()` | The types for the outputCols, in the same order
`PlanProtocol.SortPartition` | `getPoint​(int index)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.SortPartition.Builder` | `getPointBuilder​(int index)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`List<PlanProtocol.SortPartition.Builder>` | `getPointBuilderList()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`int` | `getPointCount()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`List<PlanProtocol.SortPartition>` | `getPointList()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.SortPartitionOrBuilder` | `getPointOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`List<? extends PlanProtocol.SortPartitionOrBuilder>` | `getPointOrBuilderList()` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`String` | `getSchema()` | The table schema
`com.google.protobuf.ByteString` | `getSchemaBytes()` | The table schema
`String` | `getStorageSpaceUuid()` | `string storage_space_uuid = 8;`
`com.google.protobuf.ByteString` | `getStorageSpaceUuidBytes()` | `string storage_space_uuid = 8;`
`String` | `getTableName()` | The table name
`com.google.protobuf.ByteString` | `getTableNameBytes()` | The table name
`String` | `getTableUuid()` | `string table_uuid = 7;`
`com.google.protobuf.ByteString` | `getTableUuidBytes()` | `string table_uuid = 7;`
`PlanProtocol.Disjunction` | `getTimeFilters​(int index)` | Time filter disjunctions
`PlanProtocol.Disjunction.Builder` | `getTimeFiltersBuilder​(int index)` | Time filter disjunctions
`List<PlanProtocol.Disjunction.Builder>` | `getTimeFiltersBuilderList()` | Time filter disjunctions
`int` | `getTimeFiltersCount()` | Time filter disjunctions
`List<PlanProtocol.Disjunction>` | `getTimeFiltersList()` | Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` | `getTimeFiltersOrBuilder​(int index)` | Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getTimeFiltersOrBuilderList()` | Time filter disjunctions
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.IndexAggOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.IndexAggOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.IndexAggOperator.Builder` | `mergeFrom​(PlanProtocol.IndexAggOperator other)` |
`PlanProtocol.IndexAggOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.IndexAggOperator.Builder` | `removeFilters​(int index)` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `removeNonIndexFilters​(int index)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `removePoint​(int index)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `removeTimeFilters​(int index)` | Time filter disjunctions
`PlanProtocol.IndexAggOperator.Builder` | `setColNames​(int index, String value)` | Deprecated.
`PlanProtocol.IndexAggOperator.Builder` | `setColTypes​(int index, String value)` | The string representation of the type of ALL output columns
`PlanProtocol.IndexAggOperator.Builder` | `setDb​(String value)` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexAggOperator.Builder` | `setDbBytes​(com.google.protobuf.ByteString value)` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexAggOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.IndexAggOperator.Builder` | `setFilters​(int index, PlanProtocol.Disjunction value)` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `setFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | Filter conditions to apply via index
`PlanProtocol.IndexAggOperator.Builder` | `setIndexName​(String value)` | Which index?
`PlanProtocol.IndexAggOperator.Builder` | `setIndexNameBytes​(com.google.protobuf.ByteString value)` | Which index?
`PlanProtocol.IndexAggOperator.Builder` | `setIndexUuid​(String value)` | `string index_uuid = 9;`
`PlanProtocol.IndexAggOperator.Builder` | `setIndexUuidBytes​(com.google.protobuf.ByteString value)` | `string index_uuid = 9;`
`PlanProtocol.IndexAggOperator.Builder` | `setInputCols​(int index, String value)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.IndexAggOperator.Builder` | `setKeys​(int index, String value)` | The GROUP BY columns - can't be empty
`PlanProtocol.IndexAggOperator.Builder` | `setNonIndexFilters​(int index, PlanProtocol.Disjunction value)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `setNonIndexFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | `repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`
`PlanProtocol.IndexAggOperator.Builder` | `setOps​(int index, PlanProtocol.AggregationOperator.AggregationOp value)` | The aggregation operations to perform
`PlanProtocol.IndexAggOperator.Builder` | `setOpsValue​(int index, int value)` | The aggregation operations to perform
`PlanProtocol.IndexAggOperator.Builder` | `setOutputCols​(int index, String value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.IndexAggOperator.Builder` | `setOutputColsTypes​(int index, String value)` | The types for the outputCols, in the same order
`PlanProtocol.IndexAggOperator.Builder` | `setPoint​(int index, PlanProtocol.SortPartition value)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `setPoint​(int index, PlanProtocol.SortPartition.Builder builderForValue)` | `repeated .xg.db.sqlPlans.SortPartition point = 16;`
`PlanProtocol.IndexAggOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.IndexAggOperator.Builder` | `setSchema​(String value)` | The table schema
`PlanProtocol.IndexAggOperator.Builder` | `setSchemaBytes​(com.google.protobuf.ByteString value)` | The table schema
`PlanProtocol.IndexAggOperator.Builder` | `setStorageSpaceUuid​(String value)` | `string storage_space_uuid = 8;`
`PlanProtocol.IndexAggOperator.Builder` | `setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)` | `string storage_space_uuid = 8;`
`PlanProtocol.IndexAggOperator.Builder` | `setTableName​(String value)` | The table name
`PlanProtocol.IndexAggOperator.Builder` | `setTableNameBytes​(com.google.protobuf.ByteString value)` | The table name
`PlanProtocol.IndexAggOperator.Builder` | `setTableUuid​(String value)` | `string table_uuid = 7;`
`PlanProtocol.IndexAggOperator.Builder` | `setTableUuidBytes​(com.google.protobuf.ByteString value)` | `string table_uuid = 7;`
`PlanProtocol.IndexAggOperator.Builder` | `setTimeFilters​(int index, PlanProtocol.Disjunction value)` | Time filter disjunctions
`PlanProtocol.IndexAggOperator.Builder` | `setTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | Time filter disjunctions
`PlanProtocol.IndexAggOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### clear

public PlanProtocol.IndexAggOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.IndexAggOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.IndexAggOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.IndexAggOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.IndexAggOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### setField

public PlanProtocol.IndexAggOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### clearField

public PlanProtocol.IndexAggOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### clearOneof

public PlanProtocol.IndexAggOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### setRepeatedField

public PlanProtocol.IndexAggOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### addRepeatedField

public PlanProtocol.IndexAggOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### mergeFrom

public PlanProtocol.IndexAggOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IndexAggOperator.Builder>`

### mergeFrom

public PlanProtocol.IndexAggOperator.Builder mergeFrom​(PlanProtocol.IndexAggOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### mergeFrom

public PlanProtocol.IndexAggOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IndexAggOperator.Builder>`
Throws:
  `IOException`

### getSchema

public String getSchema()

    The table schema

`string schema = 1;`

Specified by:
  `getSchema` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getSchemaBytes

public com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Specified by:
  `getSchemaBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setSchema

public PlanProtocol.IndexAggOperator.Builder setSchema​(String value)

    The table schema

`string schema = 1;`

### clearSchema

public PlanProtocol.IndexAggOperator.Builder clearSchema()

    The table schema

`string schema = 1;`

### setSchemaBytes

public PlanProtocol.IndexAggOperator.Builder setSchemaBytes​(com.google.protobuf.ByteString value)

    The table schema

`string schema = 1;`

### getTableName

public String getTableName()

    The table name

`string tableName = 2;`

Specified by:
  `getTableName` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getTableNameBytes

public com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Specified by:
  `getTableNameBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setTableName

public PlanProtocol.IndexAggOperator.Builder setTableName​(String value)

    The table name

`string tableName = 2;`

### clearTableName

public PlanProtocol.IndexAggOperator.Builder clearTableName()

    The table name

`string tableName = 2;`

### setTableNameBytes

public PlanProtocol.IndexAggOperator.Builder setTableNameBytes​(com.google.protobuf.ByteString value)

    The table name

`string tableName = 2;`

### getIndexName

public String getIndexName()

    Which index?

`string indexName = 3;`

Specified by:
  `getIndexName` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getIndexNameBytes

public com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

Specified by:
  `getIndexNameBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setIndexName

public PlanProtocol.IndexAggOperator.Builder setIndexName​(String value)

    Which index?

`string indexName = 3;`

### clearIndexName

public PlanProtocol.IndexAggOperator.Builder clearIndexName()

    Which index?

`string indexName = 3;`

### setIndexNameBytes

public PlanProtocol.IndexAggOperator.Builder setIndexNameBytes​(com.google.protobuf.ByteString value)

    Which index?

`string indexName = 3;`

### getColNamesList

@Deprecated public com.google.protobuf.ProtocolStringList getColNamesList()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getColNamesCount

@Deprecated public int getColNamesCount()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getColNames

@Deprecated public String getColNames​(int index)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNames` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getColNamesBytes

@Deprecated public com.google.protobuf.ByteString getColNamesBytes​(int index)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setColNames

@Deprecated public PlanProtocol.IndexAggOperator.Builder setColNames​(int index, String value)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### addColNames

@Deprecated public PlanProtocol.IndexAggOperator.Builder addColNames​(String value)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### addAllColNames

@Deprecated public PlanProtocol.IndexAggOperator.Builder addAllColNames​(Iterable<String> values)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### clearColNames

@Deprecated public PlanProtocol.IndexAggOperator.Builder clearColNames()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### addColNamesBytes

@Deprecated public PlanProtocol.IndexAggOperator.Builder addColNamesBytes​(com.google.protobuf.ByteString value)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getFiltersList

public List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getFiltersCount

public int getFiltersCount()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getFilters

public PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFilters` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setFilters

public PlanProtocol.IndexAggOperator.Builder setFilters​(int index, PlanProtocol.Disjunction value)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### setFilters

public PlanProtocol.IndexAggOperator.Builder setFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### addFilters

public PlanProtocol.IndexAggOperator.Builder addFilters​(PlanProtocol.Disjunction value)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### addFilters

public PlanProtocol.IndexAggOperator.Builder addFilters​(int index, PlanProtocol.Disjunction value)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### addFilters

public PlanProtocol.IndexAggOperator.Builder addFilters​(PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### addFilters

public PlanProtocol.IndexAggOperator.Builder addFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### addAllFilters

public PlanProtocol.IndexAggOperator.Builder addAllFilters​(Iterable<? extends PlanProtocol.Disjunction> values)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### clearFilters

public PlanProtocol.IndexAggOperator.Builder clearFilters()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### removeFilters

public PlanProtocol.IndexAggOperator.Builder removeFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersBuilder

public PlanProtocol.Disjunction.Builder getFiltersBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersOrBuilder

public PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersOrBuilder` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getFiltersOrBuilderList

public List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersOrBuilderList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### addFiltersBuilder

public PlanProtocol.Disjunction.Builder addFiltersBuilder()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### addFiltersBuilder

public PlanProtocol.Disjunction.Builder addFiltersBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersBuilderList

public List<PlanProtocol.Disjunction.Builder> getFiltersBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getDb

public String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

Specified by:
  `getDb` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getDbBytes

public com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

Specified by:
  `getDbBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setDb

public PlanProtocol.IndexAggOperator.Builder setDb​(String value)

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

### clearDb

public PlanProtocol.IndexAggOperator.Builder clearDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

### setDbBytes

public PlanProtocol.IndexAggOperator.Builder setDbBytes​(com.google.protobuf.ByteString value)

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 6;`

### getTableUuid

public String getTableUuid()
`string table_uuid = 7;`

Specified by:
  `getTableUuid` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getTableUuidBytes

public com.google.protobuf.ByteString getTableUuidBytes()
`string table_uuid = 7;`

Specified by:
  `getTableUuidBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setTableUuid

public PlanProtocol.IndexAggOperator.Builder setTableUuid​(String value)
`string table_uuid = 7;`

### clearTableUuid

public PlanProtocol.IndexAggOperator.Builder clearTableUuid()
`string table_uuid = 7;`

### setTableUuidBytes

public PlanProtocol.IndexAggOperator.Builder setTableUuidBytes​(com.google.protobuf.ByteString value)
`string table_uuid = 7;`

### getStorageSpaceUuid

public String getStorageSpaceUuid()
`string storage_space_uuid = 8;`

Specified by:
  `getStorageSpaceUuid` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getStorageSpaceUuidBytes

public com.google.protobuf.ByteString getStorageSpaceUuidBytes()
`string storage_space_uuid = 8;`

Specified by:
  `getStorageSpaceUuidBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setStorageSpaceUuid

public PlanProtocol.IndexAggOperator.Builder setStorageSpaceUuid​(String value)
`string storage_space_uuid = 8;`

### clearStorageSpaceUuid

public PlanProtocol.IndexAggOperator.Builder clearStorageSpaceUuid()
`string storage_space_uuid = 8;`

### setStorageSpaceUuidBytes

public PlanProtocol.IndexAggOperator.Builder setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)
`string storage_space_uuid = 8;`

### getIndexUuid

public String getIndexUuid()
`string index_uuid = 9;`

Specified by:
  `getIndexUuid` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getIndexUuidBytes

public com.google.protobuf.ByteString getIndexUuidBytes()
`string index_uuid = 9;`

Specified by:
  `getIndexUuidBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setIndexUuid

public PlanProtocol.IndexAggOperator.Builder setIndexUuid​(String value)
`string index_uuid = 9;`

### clearIndexUuid

public PlanProtocol.IndexAggOperator.Builder clearIndexUuid()
`string index_uuid = 9;`

### setIndexUuidBytes

public PlanProtocol.IndexAggOperator.Builder setIndexUuidBytes​(com.google.protobuf.ByteString value)
`string index_uuid = 9;`

### getTimeFiltersList

public List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

Specified by:
  `getTimeFiltersList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getTimeFiltersCount

public int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

Specified by:
  `getTimeFiltersCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getTimeFilters

public PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

Specified by:
  `getTimeFilters` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setTimeFilters

public PlanProtocol.IndexAggOperator.Builder setTimeFilters​(int index, PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### setTimeFilters

public PlanProtocol.IndexAggOperator.Builder setTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### addTimeFilters

public PlanProtocol.IndexAggOperator.Builder addTimeFilters​(PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### addTimeFilters

public PlanProtocol.IndexAggOperator.Builder addTimeFilters​(int index, PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### addTimeFilters

public PlanProtocol.IndexAggOperator.Builder addTimeFilters​(PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### addTimeFilters

public PlanProtocol.IndexAggOperator.Builder addTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### addAllTimeFilters

public PlanProtocol.IndexAggOperator.Builder addAllTimeFilters​(Iterable<? extends PlanProtocol.Disjunction> values)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### clearTimeFilters

public PlanProtocol.IndexAggOperator.Builder clearTimeFilters()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### removeTimeFilters

public PlanProtocol.IndexAggOperator.Builder removeTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getTimeFiltersBuilder

public PlanProtocol.Disjunction.Builder getTimeFiltersBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getTimeFiltersOrBuilder

public PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

Specified by:
  `getTimeFiltersOrBuilder` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getTimeFiltersOrBuilderList

public List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

Specified by:
  `getTimeFiltersOrBuilderList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### addTimeFiltersBuilder

public PlanProtocol.Disjunction.Builder addTimeFiltersBuilder()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### addTimeFiltersBuilder

public PlanProtocol.Disjunction.Builder addTimeFiltersBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getTimeFiltersBuilderList

public List<PlanProtocol.Disjunction.Builder> getTimeFiltersBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 10;`

### getKeysList

public com.google.protobuf.ProtocolStringList getKeysList()

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

Specified by:
  `getKeysList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getKeysCount

public int getKeysCount()

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

Specified by:
  `getKeysCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getKeys

public String getKeys​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

Specified by:
  `getKeys` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getKeysBytes

public com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

Specified by:
  `getKeysBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setKeys

public PlanProtocol.IndexAggOperator.Builder setKeys​(int index, String value)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### addKeys

public PlanProtocol.IndexAggOperator.Builder addKeys​(String value)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### addAllKeys

public PlanProtocol.IndexAggOperator.Builder addAllKeys​(Iterable<String> values)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### clearKeys

public PlanProtocol.IndexAggOperator.Builder clearKeys()

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### addKeysBytes

public PlanProtocol.IndexAggOperator.Builder addKeysBytes​(com.google.protobuf.ByteString value)

    The GROUP BY columns - can't be empty

`repeated string keys = 11;`

### getOpsList

public List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Specified by:
  `getOpsList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOpsCount

public int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Specified by:
  `getOpsCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOps

public PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Specified by:
  `getOps` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setOps

public PlanProtocol.IndexAggOperator.Builder setOps​(int index, PlanProtocol.AggregationOperator.AggregationOp value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### addOps

public PlanProtocol.IndexAggOperator.Builder addOps​(PlanProtocol.AggregationOperator.AggregationOp value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### addAllOps

public PlanProtocol.IndexAggOperator.Builder addAllOps​(Iterable<? extends PlanProtocol.AggregationOperator.AggregationOp> values)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### clearOps

public PlanProtocol.IndexAggOperator.Builder clearOps()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### getOpsValueList

public List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Specified by:
  `getOpsValueList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOpsValue

public int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

Specified by:
  `getOpsValue` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setOpsValue

public PlanProtocol.IndexAggOperator.Builder setOpsValue​(int index, int value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### addOpsValue

public PlanProtocol.IndexAggOperator.Builder addOpsValue​(int value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### addAllOpsValue

public PlanProtocol.IndexAggOperator.Builder addAllOpsValue​(Iterable<Integer> values)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 12;`

### getInputColsList

public com.google.protobuf.ProtocolStringList getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

Specified by:
  `getInputColsList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getInputColsCount

public int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

Specified by:
  `getInputColsCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getInputCols

public String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

Specified by:
  `getInputCols` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getInputColsBytes

public com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

Specified by:
  `getInputColsBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setInputCols

public PlanProtocol.IndexAggOperator.Builder setInputCols​(int index, String value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### addInputCols

public PlanProtocol.IndexAggOperator.Builder addInputCols​(String value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### addAllInputCols

public PlanProtocol.IndexAggOperator.Builder addAllInputCols​(Iterable<String> values)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### clearInputCols

public PlanProtocol.IndexAggOperator.Builder clearInputCols()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### addInputColsBytes

public PlanProtocol.IndexAggOperator.Builder addInputColsBytes​(com.google.protobuf.ByteString value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 13;`

### getOutputColsList

public com.google.protobuf.ProtocolStringList getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

Specified by:
  `getOutputColsList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOutputColsCount

public int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

Specified by:
  `getOutputColsCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOutputCols

public String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

Specified by:
  `getOutputCols` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOutputColsBytes

public com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

Specified by:
  `getOutputColsBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setOutputCols

public PlanProtocol.IndexAggOperator.Builder setOutputCols​(int index, String value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### addOutputCols

public PlanProtocol.IndexAggOperator.Builder addOutputCols​(String value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### addAllOutputCols

public PlanProtocol.IndexAggOperator.Builder addAllOutputCols​(Iterable<String> values)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### clearOutputCols

public PlanProtocol.IndexAggOperator.Builder clearOutputCols()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### addOutputColsBytes

public PlanProtocol.IndexAggOperator.Builder addOutputColsBytes​(com.google.protobuf.ByteString value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 14;`

### getOutputColsTypesList

public com.google.protobuf.ProtocolStringList getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

Specified by:
  `getOutputColsTypesList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOutputColsTypesCount

public int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

Specified by:
  `getOutputColsTypesCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOutputColsTypes

public String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

Specified by:
  `getOutputColsTypes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getOutputColsTypesBytes

public com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

Specified by:
  `getOutputColsTypesBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setOutputColsTypes

public PlanProtocol.IndexAggOperator.Builder setOutputColsTypes​(int index, String value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### addOutputColsTypes

public PlanProtocol.IndexAggOperator.Builder addOutputColsTypes​(String value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### addAllOutputColsTypes

public PlanProtocol.IndexAggOperator.Builder addAllOutputColsTypes​(Iterable<String> values)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### clearOutputColsTypes

public PlanProtocol.IndexAggOperator.Builder clearOutputColsTypes()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### addOutputColsTypesBytes

public PlanProtocol.IndexAggOperator.Builder addOutputColsTypesBytes​(com.google.protobuf.ByteString value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 15;`

### getPointList

public List<PlanProtocol.SortPartition> getPointList()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

Specified by:
  `getPointList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getPointCount

public int getPointCount()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

Specified by:
  `getPointCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getPoint

public PlanProtocol.SortPartition getPoint​(int index)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

Specified by:
  `getPoint` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setPoint

public PlanProtocol.IndexAggOperator.Builder setPoint​(int index, PlanProtocol.SortPartition value)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### setPoint

public PlanProtocol.IndexAggOperator.Builder setPoint​(int index, PlanProtocol.SortPartition.Builder builderForValue)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### addPoint

public PlanProtocol.IndexAggOperator.Builder addPoint​(PlanProtocol.SortPartition value)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### addPoint

public PlanProtocol.IndexAggOperator.Builder addPoint​(int index, PlanProtocol.SortPartition value)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### addPoint

public PlanProtocol.IndexAggOperator.Builder addPoint​(PlanProtocol.SortPartition.Builder builderForValue)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### addPoint

public PlanProtocol.IndexAggOperator.Builder addPoint​(int index, PlanProtocol.SortPartition.Builder builderForValue)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### addAllPoint

public PlanProtocol.IndexAggOperator.Builder addAllPoint​(Iterable<? extends PlanProtocol.SortPartition> values)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### clearPoint

public PlanProtocol.IndexAggOperator.Builder clearPoint()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### removePoint

public PlanProtocol.IndexAggOperator.Builder removePoint​(int index)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getPointBuilder

public PlanProtocol.SortPartition.Builder getPointBuilder​(int index)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getPointOrBuilder

public PlanProtocol.SortPartitionOrBuilder getPointOrBuilder​(int index)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

Specified by:
  `getPointOrBuilder` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getPointOrBuilderList

public List<? extends PlanProtocol.SortPartitionOrBuilder> getPointOrBuilderList()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

Specified by:
  `getPointOrBuilderList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### addPointBuilder

public PlanProtocol.SortPartition.Builder addPointBuilder()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### addPointBuilder

public PlanProtocol.SortPartition.Builder addPointBuilder​(int index)
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getPointBuilderList

public List<PlanProtocol.SortPartition.Builder> getPointBuilderList()
`repeated .xg.db.sqlPlans.SortPartition point = 16;`

### getNonIndexFiltersList

public List<PlanProtocol.Disjunction> getNonIndexFiltersList()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

Specified by:
  `getNonIndexFiltersList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getNonIndexFiltersCount

public int getNonIndexFiltersCount()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

Specified by:
  `getNonIndexFiltersCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getNonIndexFilters

public PlanProtocol.Disjunction getNonIndexFilters​(int index)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

Specified by:
  `getNonIndexFilters` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder setNonIndexFilters​(int index, PlanProtocol.Disjunction value)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### setNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder setNonIndexFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### addNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder addNonIndexFilters​(PlanProtocol.Disjunction value)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### addNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder addNonIndexFilters​(int index, PlanProtocol.Disjunction value)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### addNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder addNonIndexFilters​(PlanProtocol.Disjunction.Builder builderForValue)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### addNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder addNonIndexFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### addAllNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder addAllNonIndexFilters​(Iterable<? extends PlanProtocol.Disjunction> values)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### clearNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder clearNonIndexFilters()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### removeNonIndexFilters

public PlanProtocol.IndexAggOperator.Builder removeNonIndexFilters​(int index)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getNonIndexFiltersBuilder

public PlanProtocol.Disjunction.Builder getNonIndexFiltersBuilder​(int index)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getNonIndexFiltersOrBuilder

public PlanProtocol.DisjunctionOrBuilder getNonIndexFiltersOrBuilder​(int index)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

Specified by:
  `getNonIndexFiltersOrBuilder` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getNonIndexFiltersOrBuilderList

public List<? extends PlanProtocol.DisjunctionOrBuilder> getNonIndexFiltersOrBuilderList()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

Specified by:
  `getNonIndexFiltersOrBuilderList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### addNonIndexFiltersBuilder

public PlanProtocol.Disjunction.Builder addNonIndexFiltersBuilder()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### addNonIndexFiltersBuilder

public PlanProtocol.Disjunction.Builder addNonIndexFiltersBuilder​(int index)
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getNonIndexFiltersBuilderList

public List<PlanProtocol.Disjunction.Builder> getNonIndexFiltersBuilderList()
`repeated .xg.db.sqlPlans.Disjunction non_index_filters = 17;`

### getColTypesList

public com.google.protobuf.ProtocolStringList getColTypesList()

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

Specified by:
  `getColTypesList` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getColTypesCount

public int getColTypesCount()

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

Specified by:
  `getColTypesCount` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getColTypes

public String getColTypes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

Specified by:
  `getColTypes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### getColTypesBytes

public com.google.protobuf.ByteString getColTypesBytes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

Specified by:
  `getColTypesBytes` in interface `PlanProtocol.IndexAggOperatorOrBuilder`

### setColTypes

public PlanProtocol.IndexAggOperator.Builder setColTypes​(int index, String value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

### addColTypes

public PlanProtocol.IndexAggOperator.Builder addColTypes​(String value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

### addAllColTypes

public PlanProtocol.IndexAggOperator.Builder addAllColTypes​(Iterable<String> values)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

### clearColTypes

public PlanProtocol.IndexAggOperator.Builder clearColTypes()

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

### addColTypesBytes

public PlanProtocol.IndexAggOperator.Builder addColTypesBytes​(com.google.protobuf.ByteString value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 18;`

### setUnknownFields

public final PlanProtocol.IndexAggOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.IndexAggOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexAggOperator.Builder>`